diff -ru Phoenix.sip6712/sip/cpp/sip_advcmodule.cpp Phoenix.sip680/sip/cpp/sip_advcmodule.cpp
--- Phoenix.sip6712/sip/cpp/sip_advcmodule.cpp	2023-12-09 09:37:26.163138925 -0500
+++ Phoenix.sip680/sip/cpp/sip_advcmodule.cpp	2023-12-09 09:37:34.400169932 -0500
@@ -2565,7 +2565,6 @@
     {sipName_CalendarNameStr, wxCalendarNameStr, 'N'},
     {sipName_EditableListBoxNameStr, wxEditableListBoxNameStr, 'N'},
     {sipName_HyperlinkCtrlNameStr, wxHyperlinkCtrlNameStr, 'N'},
-    {sipName_TimePickerCtrlNameStr, (const char *)wxTimePickerCtrlNameStr, 'W'},
     {0, 0, 0}
 };
 
@@ -2772,7 +2771,7 @@
      * Define the class, mapped type and enum instances that have to be
      * added inline.
      */
-    sipAddTypeInstance(sipModuleDict,sipName_NullAnimation,&::wxNullAnimation, sipType_wxAnimation);
+    sipAddTypeInstance(sipModuleDict, sipName_NullAnimation, &::wxNullAnimation, sipType_wxAnimation);
 
     return sipModule;
 }
diff -ru Phoenix.sip6712/sip/cpp/sip_advwxBitmapComboBox.cpp Phoenix.sip680/sip/cpp/sip_advwxBitmapComboBox.cpp
--- Phoenix.sip6712/sip/cpp/sip_advwxBitmapComboBox.cpp	2023-12-09 09:37:26.171138955 -0500
+++ Phoenix.sip680/sip/cpp/sip_advwxBitmapComboBox.cpp	2023-12-09 09:37:34.408169962 -0500
@@ -3600,7 +3600,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxBitmapComboBox_GetStringSelection, "GetStringSelection(self) -> object");
+PyDoc_STRVAR(doc_wxBitmapComboBox_GetStringSelection, "GetStringSelection(self) -> Any");
 
 extern "C" {static PyObject *meth_wxBitmapComboBox_GetStringSelection(PyObject *, PyObject *);}
 static PyObject *meth_wxBitmapComboBox_GetStringSelection(PyObject *sipSelf, PyObject *sipArgs)
diff -ru Phoenix.sip6712/sip/cpp/sip_advwxOwnerDrawnComboBox.cpp Phoenix.sip680/sip/cpp/sip_advwxOwnerDrawnComboBox.cpp
--- Phoenix.sip6712/sip/cpp/sip_advwxOwnerDrawnComboBox.cpp	2023-12-09 09:37:26.173138963 -0500
+++ Phoenix.sip680/sip/cpp/sip_advwxOwnerDrawnComboBox.cpp	2023-12-09 09:37:34.410169970 -0500
@@ -3232,7 +3232,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxOwnerDrawnComboBox_GetString, "GetString(self, n: int) -> object");
+PyDoc_STRVAR(doc_wxOwnerDrawnComboBox_GetString, "GetString(self, n: int) -> Any");
 
 extern "C" {static PyObject *meth_wxOwnerDrawnComboBox_GetString(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxOwnerDrawnComboBox_GetString(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -3271,7 +3271,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxOwnerDrawnComboBox_SetString, "SetString(self, n: int, s: object)");
+PyDoc_STRVAR(doc_wxOwnerDrawnComboBox_SetString, "SetString(self, n: int, s: Any)");
 
 extern "C" {static PyObject *meth_wxOwnerDrawnComboBox_SetString(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxOwnerDrawnComboBox_SetString(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -3385,7 +3385,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxOwnerDrawnComboBox_GetStringSelection, "GetStringSelection(self) -> object");
+PyDoc_STRVAR(doc_wxOwnerDrawnComboBox_GetStringSelection, "GetStringSelection(self) -> Any");
 
 extern "C" {static PyObject *meth_wxOwnerDrawnComboBox_GetStringSelection(PyObject *, PyObject *);}
 static PyObject *meth_wxOwnerDrawnComboBox_GetStringSelection(PyObject *sipSelf, PyObject *sipArgs)
diff -ru Phoenix.sip6712/sip/cpp/sip_corecmodule.cpp Phoenix.sip680/sip/cpp/sip_corecmodule.cpp
--- Phoenix.sip6712/sip/cpp/sip_corecmodule.cpp	2023-12-09 09:35:30.219702476 -0500
+++ Phoenix.sip680/sip/cpp/sip_corecmodule.cpp	2023-12-09 09:35:50.856780161 -0500
@@ -15296,7 +15296,7 @@
 }
 
 
-PyDoc_STRVAR(doc_testVariantTypeName, "testVariantTypeName(var: object) -> object");
+PyDoc_STRVAR(doc_testVariantTypeName, "testVariantTypeName(var: Optional[Any]) -> Any");
 
 extern "C" {static PyObject *func_testVariantTypeName(PyObject *, PyObject *, PyObject *);}
 static PyObject *func_testVariantTypeName(PyObject *, PyObject *sipArgs, PyObject *sipKwds)
@@ -15336,7 +15336,7 @@
 }
 
 
-PyDoc_STRVAR(doc_testVariantTypemap, "testVariantTypemap(var: object) -> object");
+PyDoc_STRVAR(doc_testVariantTypemap, "testVariantTypemap(var: Optional[Any]) -> Optional[Any]");
 
 extern "C" {static PyObject *func_testVariantTypemap(PyObject *, PyObject *, PyObject *);}
 static PyObject *func_testVariantTypemap(PyObject *, PyObject *sipArgs, PyObject *sipKwds)
@@ -16147,7 +16147,7 @@
 }
 
 
-PyDoc_STRVAR(doc_testColourTypeMap, "testColourTypeMap(c: Colour) -> Colour");
+PyDoc_STRVAR(doc_testColourTypeMap, "testColourTypeMap(c: Optional[Colour]) -> Optional[Colour]");
 
 extern "C" {static PyObject *func_testColourTypeMap(PyObject *, PyObject *, PyObject *);}
 static PyObject *func_testColourTypeMap(PyObject *, PyObject *sipArgs, PyObject *sipKwds)
@@ -16732,7 +16732,7 @@
 
 
 PyDoc_STRVAR(doc_Setlocale, "Setlocale(category: int, locale: Optional[bytes]) -> Optional[bytes]\n"
-"Setlocale(category: int, locale: object) -> Optional[bytes]");
+"Setlocale(category: int, locale: Any) -> Optional[bytes]");
 
 extern "C" {static PyObject *func_Setlocale(PyObject *, PyObject *, PyObject *);}
 static PyObject *func_Setlocale(PyObject *, PyObject *sipArgs, PyObject *sipKwds)
@@ -16880,7 +16880,7 @@
 }
 
 
-PyDoc_STRVAR(doc_testArrayDoubleTypemap, "testArrayDoubleTypemap(arr: object) -> object");
+PyDoc_STRVAR(doc_testArrayDoubleTypemap, "testArrayDoubleTypemap(arr: Any) -> Any");
 
 extern "C" {static PyObject *func_testArrayDoubleTypemap(PyObject *, PyObject *, PyObject *);}
 static PyObject *func_testArrayDoubleTypemap(PyObject *, PyObject *sipArgs, PyObject *sipKwds)
@@ -16920,7 +16920,7 @@
 }
 
 
-PyDoc_STRVAR(doc_testArrayIntTypemap, "testArrayIntTypemap(arr: object) -> object");
+PyDoc_STRVAR(doc_testArrayIntTypemap, "testArrayIntTypemap(arr: Any) -> Any");
 
 extern "C" {static PyObject *func_testArrayIntTypemap(PyObject *, PyObject *, PyObject *);}
 static PyObject *func_testArrayIntTypemap(PyObject *, PyObject *sipArgs, PyObject *sipKwds)
@@ -16960,7 +16960,7 @@
 }
 
 
-PyDoc_STRVAR(doc_testArrayStringTypemap, "testArrayStringTypemap(arr: object) -> object");
+PyDoc_STRVAR(doc_testArrayStringTypemap, "testArrayStringTypemap(arr: Any) -> Any");
 
 extern "C" {static PyObject *func_testArrayStringTypemap(PyObject *, PyObject *, PyObject *);}
 static PyObject *func_testArrayStringTypemap(PyObject *, PyObject *sipArgs, PyObject *sipKwds)
@@ -17000,7 +17000,7 @@
 }
 
 
-PyDoc_STRVAR(doc_testStringTypemap, "testStringTypemap(str: object) -> object");
+PyDoc_STRVAR(doc_testStringTypemap, "testStringTypemap(str: Any) -> Any");
 
 extern "C" {static PyObject *func_testStringTypemap(PyObject *, PyObject *, PyObject *);}
 static PyObject *func_testStringTypemap(PyObject *, PyObject *sipArgs, PyObject *sipKwds)
@@ -17140,7 +17140,7 @@
 }
 
 
-PyDoc_STRVAR(doc_testUIntPtrTypemap, "testUIntPtrTypemap(value: object) -> object");
+PyDoc_STRVAR(doc_testUIntPtrTypemap, "testUIntPtrTypemap(value: Any) -> Any");
 
 extern "C" {static PyObject *func_testUIntPtrTypemap(PyObject *, PyObject *, PyObject *);}
 static PyObject *func_testUIntPtrTypemap(PyObject *, PyObject *sipArgs, PyObject *sipKwds)
@@ -17180,7 +17180,7 @@
 }
 
 
-PyDoc_STRVAR(doc_testIntPtrTypemap, "testIntPtrTypemap(value: object) -> object");
+PyDoc_STRVAR(doc_testIntPtrTypemap, "testIntPtrTypemap(value: Any) -> Any");
 
 extern "C" {static PyObject *func_testIntPtrTypemap(PyObject *, PyObject *, PyObject *);}
 static PyObject *func_testIntPtrTypemap(PyObject *, PyObject *sipArgs, PyObject *sipKwds)
@@ -21790,31 +21790,31 @@
      * Define the class, mapped type and enum instances that have to be
      * added inline.
      */
-    sipAddTypeInstance(sipModuleDict,sipName_DefaultDateTime,const_cast<::wxDateTime *>(&::wxDefaultDateTime), sipType_wxDateTime);
-    sipAddTypeInstance(sipModuleDict,sipName_DefaultPosition,const_cast<::wxPoint *>(&::wxDefaultPosition), sipType_wxPoint);
-    sipAddTypeInstance(sipModuleDict,sipName_DefaultSize,const_cast<::wxSize *>(&::wxDefaultSize), sipType_wxSize);
-    sipAddTypeInstance(sipModuleDict,sipName_DefaultSpan,const_cast<::wxGBSpan *>(&::wxDefaultSpan), sipType_wxGBSpan);
-    sipAddTypeInstance(sipModuleDict,sipName_DefaultValidator,const_cast<::wxValidator *>(&::wxDefaultValidator), sipType_wxValidator);
-    sipAddTypeInstance(sipModuleDict,sipName_DefaultVideoMode,const_cast<::wxVideoMode *>(&::wxDefaultVideoMode), sipType_wxVideoMode);
-    sipAddTypeInstance(sipModuleDict,sipName_FormatInvalid,const_cast<::wxDataFormat *>(&::wxFormatInvalid), sipType_wxDataFormat);
-    sipAddTypeInstance(sipModuleDict,sipName_NullAcceleratorTable,&::wxNullAcceleratorTable, sipType_wxAcceleratorTable);
-    sipAddTypeInstance(sipModuleDict,sipName_NullBitmap,&::wxNullBitmap, sipType_wxBitmap);
-    sipAddTypeInstance(sipModuleDict,sipName_NullBrush,&::wxNullBrush, sipType_wxBrush);
-    sipAddTypeInstance(sipModuleDict,sipName_NullColour,&::wxNullColour, sipType_wxColour);
-    sipAddTypeInstance(sipModuleDict,sipName_NullCursor,&::wxNullCursor, sipType_wxCursor);
-    sipAddTypeInstance(sipModuleDict,sipName_NullFont,&::wxNullFont, sipType_wxFont);
-    sipAddTypeInstance(sipModuleDict,sipName_NullGraphicsBitmap,const_cast<::wxGraphicsBitmap *>(&::wxNullGraphicsBitmap), sipType_wxGraphicsBitmap);
-    sipAddTypeInstance(sipModuleDict,sipName_NullGraphicsBrush,const_cast<::wxGraphicsBrush *>(&::wxNullGraphicsBrush), sipType_wxGraphicsBrush);
-    sipAddTypeInstance(sipModuleDict,sipName_NullGraphicsFont,const_cast<::wxGraphicsFont *>(&::wxNullGraphicsFont), sipType_wxGraphicsFont);
-    sipAddTypeInstance(sipModuleDict,sipName_NullGraphicsMatrix,const_cast<::wxGraphicsMatrix *>(&::wxNullGraphicsMatrix), sipType_wxGraphicsMatrix);
-    sipAddTypeInstance(sipModuleDict,sipName_NullGraphicsPath,const_cast<::wxGraphicsPath *>(&::wxNullGraphicsPath), sipType_wxGraphicsPath);
-    sipAddTypeInstance(sipModuleDict,sipName_NullGraphicsPen,const_cast<::wxGraphicsPen *>(&::wxNullGraphicsPen), sipType_wxGraphicsPen);
-    sipAddTypeInstance(sipModuleDict,sipName_NullIcon,&::wxNullIcon, sipType_wxIcon);
-    sipAddTypeInstance(sipModuleDict,sipName_NullIconBundle,&::wxNullIconBundle, sipType_wxIconBundle);
-    sipAddTypeInstance(sipModuleDict,sipName_NullImage,&::wxNullImage, sipType_wxImage);
-    sipAddTypeInstance(sipModuleDict,sipName_NullPalette,&::wxNullPalette, sipType_wxPalette);
-    sipAddTypeInstance(sipModuleDict,sipName_NullPen,&::wxNullPen, sipType_wxPen);
-    sipAddTypeInstance(sipModuleDict,sipName_TransparentColour,&::wxTransparentColour, sipType_wxColour);
+    sipAddTypeInstance(sipModuleDict, sipName_DefaultDateTime, const_cast<::wxDateTime *>(&::wxDefaultDateTime), sipType_wxDateTime);
+    sipAddTypeInstance(sipModuleDict, sipName_DefaultPosition, const_cast<::wxPoint *>(&::wxDefaultPosition), sipType_wxPoint);
+    sipAddTypeInstance(sipModuleDict, sipName_DefaultSize, const_cast<::wxSize *>(&::wxDefaultSize), sipType_wxSize);
+    sipAddTypeInstance(sipModuleDict, sipName_DefaultSpan, const_cast<::wxGBSpan *>(&::wxDefaultSpan), sipType_wxGBSpan);
+    sipAddTypeInstance(sipModuleDict, sipName_DefaultValidator, const_cast<::wxValidator *>(&::wxDefaultValidator), sipType_wxValidator);
+    sipAddTypeInstance(sipModuleDict, sipName_DefaultVideoMode, const_cast<::wxVideoMode *>(&::wxDefaultVideoMode), sipType_wxVideoMode);
+    sipAddTypeInstance(sipModuleDict, sipName_FormatInvalid, const_cast<::wxDataFormat *>(&::wxFormatInvalid), sipType_wxDataFormat);
+    sipAddTypeInstance(sipModuleDict, sipName_NullAcceleratorTable, &::wxNullAcceleratorTable, sipType_wxAcceleratorTable);
+    sipAddTypeInstance(sipModuleDict, sipName_NullBitmap, &::wxNullBitmap, sipType_wxBitmap);
+    sipAddTypeInstance(sipModuleDict, sipName_NullBrush, &::wxNullBrush, sipType_wxBrush);
+    sipAddTypeInstance(sipModuleDict, sipName_NullColour, &::wxNullColour, sipType_wxColour);
+    sipAddTypeInstance(sipModuleDict, sipName_NullCursor, &::wxNullCursor, sipType_wxCursor);
+    sipAddTypeInstance(sipModuleDict, sipName_NullFont, &::wxNullFont, sipType_wxFont);
+    sipAddTypeInstance(sipModuleDict, sipName_NullGraphicsBitmap, const_cast<::wxGraphicsBitmap *>(&::wxNullGraphicsBitmap), sipType_wxGraphicsBitmap);
+    sipAddTypeInstance(sipModuleDict, sipName_NullGraphicsBrush, const_cast<::wxGraphicsBrush *>(&::wxNullGraphicsBrush), sipType_wxGraphicsBrush);
+    sipAddTypeInstance(sipModuleDict, sipName_NullGraphicsFont, const_cast<::wxGraphicsFont *>(&::wxNullGraphicsFont), sipType_wxGraphicsFont);
+    sipAddTypeInstance(sipModuleDict, sipName_NullGraphicsMatrix, const_cast<::wxGraphicsMatrix *>(&::wxNullGraphicsMatrix), sipType_wxGraphicsMatrix);
+    sipAddTypeInstance(sipModuleDict, sipName_NullGraphicsPath, const_cast<::wxGraphicsPath *>(&::wxNullGraphicsPath), sipType_wxGraphicsPath);
+    sipAddTypeInstance(sipModuleDict, sipName_NullGraphicsPen, const_cast<::wxGraphicsPen *>(&::wxNullGraphicsPen), sipType_wxGraphicsPen);
+    sipAddTypeInstance(sipModuleDict, sipName_NullIcon, &::wxNullIcon, sipType_wxIcon);
+    sipAddTypeInstance(sipModuleDict, sipName_NullIconBundle, &::wxNullIconBundle, sipType_wxIconBundle);
+    sipAddTypeInstance(sipModuleDict, sipName_NullImage, &::wxNullImage, sipType_wxImage);
+    sipAddTypeInstance(sipModuleDict, sipName_NullPalette, &::wxNullPalette, sipType_wxPalette);
+    sipAddTypeInstance(sipModuleDict, sipName_NullPen, &::wxNullPen, sipType_wxPen);
+    sipAddTypeInstance(sipModuleDict, sipName_TransparentColour, &::wxTransparentColour, sipType_wxColour);
     PyDict_SetItemString(sipModuleDict, "VSCROLL", wxPyInt_FromLong(static_cast<int>(wxVSCROLL)));
     PyDict_SetItemString(sipModuleDict, "WINDOW_STYLE_MASK", wxPyInt_FromLong(static_cast<int>(wxWINDOW_STYLE_MASK)));
     PyDict_SetItemString(sipModuleDict, "CANCEL_DEFAULT", wxPyInt_FromLong(static_cast<int>(wxCANCEL_DEFAULT)));
diff -ru Phoenix.sip6712/sip/cpp/sip_core_ScrolledWindowBase.cpp Phoenix.sip680/sip/cpp/sip_core_ScrolledWindowBase.cpp
--- Phoenix.sip6712/sip/cpp/sip_core_ScrolledWindowBase.cpp	2023-12-09 09:35:30.372703052 -0500
+++ Phoenix.sip680/sip/cpp/sip_core_ScrolledWindowBase.cpp	2023-12-09 09:35:51.017780767 -0500
@@ -7,6 +7,7 @@
 
 #include "sipAPI_core.h"
         #include <wx/scrolwin.h>
+        #include <wx/scrolwin.h>
         #include <wx/window.h>
         #include <wx/gdicmn.h>
         #include <wx/gdicmn.h>
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxArchiveFSHandler.cpp Phoenix.sip680/sip/cpp/sip_corewxArchiveFSHandler.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxArchiveFSHandler.cpp	2023-12-09 09:35:30.449703342 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxArchiveFSHandler.cpp	2023-12-09 09:35:51.101781083 -0500
@@ -336,7 +336,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxArchiveFSHandler_CanOpen, "CanOpen(self, location: object) -> bool");
+PyDoc_STRVAR(doc_wxArchiveFSHandler_CanOpen, "CanOpen(self, location: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxArchiveFSHandler_CanOpen(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxArchiveFSHandler_CanOpen(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -377,7 +377,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxArchiveFSHandler_OpenFile, "OpenFile(self, fs: FileSystem, location: object) -> Optional[FSFile]");
+PyDoc_STRVAR(doc_wxArchiveFSHandler_OpenFile, "OpenFile(self, fs: FileSystem, location: Any) -> Optional[FSFile]");
 
 extern "C" {static PyObject *meth_wxArchiveFSHandler_OpenFile(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxArchiveFSHandler_OpenFile(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -420,7 +420,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxArchiveFSHandler_FindFirst, "FindFirst(self, spec: object, flags: int = 0) -> object");
+PyDoc_STRVAR(doc_wxArchiveFSHandler_FindFirst, "FindFirst(self, spec: Any, flags: int = 0) -> Any");
 
 extern "C" {static PyObject *meth_wxArchiveFSHandler_FindFirst(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxArchiveFSHandler_FindFirst(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -463,7 +463,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxArchiveFSHandler_FindNext, "FindNext(self) -> object");
+PyDoc_STRVAR(doc_wxArchiveFSHandler_FindNext, "FindNext(self) -> Any");
 
 extern "C" {static PyObject *meth_wxArchiveFSHandler_FindNext(PyObject *, PyObject *);}
 static PyObject *meth_wxArchiveFSHandler_FindNext(PyObject *sipSelf, PyObject *sipArgs)
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxCheckListBox.cpp Phoenix.sip680/sip/cpp/sip_corewxCheckListBox.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxCheckListBox.cpp	2023-12-09 09:35:30.339702927 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxCheckListBox.cpp	2023-12-09 09:35:50.978780620 -0500
@@ -2780,7 +2780,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxCheckListBox_GetString, "GetString(self, n: int) -> object");
+PyDoc_STRVAR(doc_wxCheckListBox_GetString, "GetString(self, n: int) -> Any");
 
 extern "C" {static PyObject *meth_wxCheckListBox_GetString(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxCheckListBox_GetString(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -2819,7 +2819,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxCheckListBox_SetString, "SetString(self, n: int, s: object)");
+PyDoc_STRVAR(doc_wxCheckListBox_SetString, "SetString(self, n: int, s: Any)");
 
 extern "C" {static PyObject *meth_wxCheckListBox_SetString(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxCheckListBox_SetString(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxChoicebook.cpp Phoenix.sip680/sip/cpp/sip_corewxChoicebook.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxChoicebook.cpp	2023-12-09 09:35:30.300702781 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxChoicebook.cpp	2023-12-09 09:35:50.931780443 -0500
@@ -2846,7 +2846,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxChoicebook_GetPageText, "GetPageText(self, nPage: int) -> object");
+PyDoc_STRVAR(doc_wxChoicebook_GetPageText, "GetPageText(self, nPage: int) -> Any");
 
 extern "C" {static PyObject *meth_wxChoicebook_GetPageText(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxChoicebook_GetPageText(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -2885,7 +2885,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxChoicebook_SetPageText, "SetPageText(self, page: int, text: object) -> bool");
+PyDoc_STRVAR(doc_wxChoicebook_SetPageText, "SetPageText(self, page: int, text: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxChoicebook_SetPageText(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxChoicebook_SetPageText(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -3082,7 +3082,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxChoicebook_InsertPage, "InsertPage(self, index: int, page: Optional[Window], text: object, select: bool = False, imageId: int = wxBookCtrlBase.NO_IMAGE) -> bool");
+PyDoc_STRVAR(doc_wxChoicebook_InsertPage, "InsertPage(self, index: int, page: Optional[Window], text: Any, select: bool = False, imageId: int = wxBookCtrlBase.NO_IMAGE) -> bool");
 
 extern "C" {static PyObject *meth_wxChoicebook_InsertPage(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxChoicebook_InsertPage(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxConfig.cpp Phoenix.sip680/sip/cpp/sip_corewxConfig.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxConfig.cpp	2023-12-09 09:35:30.408703187 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxConfig.cpp	2023-12-09 09:35:51.059780925 -0500
@@ -256,7 +256,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxConfig_GetPath, "GetPath(self) -> object");
+PyDoc_STRVAR(doc_wxConfig_GetPath, "GetPath(self) -> Any");
 
 extern "C" {static PyObject *meth_wxConfig_GetPath(PyObject *, PyObject *);}
 static PyObject *meth_wxConfig_GetPath(PyObject *sipSelf, PyObject *sipArgs)
@@ -290,7 +290,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxConfig_SetPath, "SetPath(self, strPath: object)");
+PyDoc_STRVAR(doc_wxConfig_SetPath, "SetPath(self, strPath: Any)");
 
 extern "C" {static PyObject *meth_wxConfig_SetPath(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxConfig_SetPath(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -408,7 +408,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxConfig_HasEntry, "HasEntry(self, strName: object) -> bool");
+PyDoc_STRVAR(doc_wxConfig_HasEntry, "HasEntry(self, strName: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxConfig_HasEntry(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxConfig_HasEntry(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -449,7 +449,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxConfig_HasGroup, "HasGroup(self, strName: object) -> bool");
+PyDoc_STRVAR(doc_wxConfig_HasGroup, "HasGroup(self, strName: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxConfig_HasGroup(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxConfig_HasGroup(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -529,7 +529,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxConfig_RenameEntry, "RenameEntry(self, oldName: object, newName: object) -> bool");
+PyDoc_STRVAR(doc_wxConfig_RenameEntry, "RenameEntry(self, oldName: Any, newName: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxConfig_RenameEntry(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxConfig_RenameEntry(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -574,7 +574,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxConfig_RenameGroup, "RenameGroup(self, oldName: object, newName: object) -> bool");
+PyDoc_STRVAR(doc_wxConfig_RenameGroup, "RenameGroup(self, oldName: Any, newName: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxConfig_RenameGroup(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxConfig_RenameGroup(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -653,7 +653,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxConfig_DeleteEntry, "DeleteEntry(self, key: object, bDeleteGroupIfEmpty: bool = True) -> bool");
+PyDoc_STRVAR(doc_wxConfig_DeleteEntry, "DeleteEntry(self, key: Any, bDeleteGroupIfEmpty: bool = True) -> bool");
 
 extern "C" {static PyObject *meth_wxConfig_DeleteEntry(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxConfig_DeleteEntry(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -696,7 +696,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxConfig_DeleteGroup, "DeleteGroup(self, key: object) -> bool");
+PyDoc_STRVAR(doc_wxConfig_DeleteGroup, "DeleteGroup(self, key: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxConfig_DeleteGroup(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxConfig_DeleteGroup(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -864,7 +864,7 @@
     {sipName_SetPath, SIP_MLMETH_CAST(meth_wxConfig_SetPath), METH_VARARGS|METH_KEYWORDS, doc_wxConfig_SetPath}
 };
 
-PyDoc_STRVAR(doc_wxConfig, "\1Config(appName: object = wxEmptyString, vendorName: object = wxEmptyString, localFilename: object = wxEmptyString, globalFilename: object = wxEmptyString, style: int = wxCONFIG_USE_LOCAL_FILE|wxCONFIG_USE_GLOBAL_FILE)");
+PyDoc_STRVAR(doc_wxConfig, "\1Config(appName: Any = wxEmptyString, vendorName: Any = wxEmptyString, localFilename: Any = wxEmptyString, globalFilename: Any = wxEmptyString, style: int = wxCONFIG_USE_LOCAL_FILE|wxCONFIG_USE_GLOBAL_FILE)");
 
 
 sipClassTypeDef sipTypeDef__core_wxConfig = {
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxDashCArrayHolder.cpp Phoenix.sip680/sip/cpp/sip_corewxDashCArrayHolder.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxDashCArrayHolder.cpp	2023-12-09 09:35:30.469703417 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxDashCArrayHolder.cpp	2023-12-09 09:35:51.122781162 -0500
@@ -7,6 +7,7 @@
 
 #include "sipAPI_core.h"
 #include "arrayholder.h"
+#include "arrayholder.h"
 
 
 
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxFileTranslationsLoader.cpp Phoenix.sip680/sip/cpp/sip_corewxFileTranslationsLoader.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxFileTranslationsLoader.cpp	2023-12-09 09:35:30.458703375 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxFileTranslationsLoader.cpp	2023-12-09 09:35:51.111781120 -0500
@@ -123,7 +123,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxFileTranslationsLoader_LoadCatalog, "LoadCatalog(self, domain: object, lang: object) -> Optional[MsgCatalog]");
+PyDoc_STRVAR(doc_wxFileTranslationsLoader_LoadCatalog, "LoadCatalog(self, domain: Any, lang: Any) -> Optional[MsgCatalog]");
 
 extern "C" {static PyObject *meth_wxFileTranslationsLoader_LoadCatalog(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxFileTranslationsLoader_LoadCatalog(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -168,7 +168,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxFileTranslationsLoader_GetAvailableTranslations, "GetAvailableTranslations(self, domain: object) -> object");
+PyDoc_STRVAR(doc_wxFileTranslationsLoader_GetAvailableTranslations, "GetAvailableTranslations(self, domain: Any) -> Any");
 
 extern "C" {static PyObject *meth_wxFileTranslationsLoader_GetAvailableTranslations(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxFileTranslationsLoader_GetAvailableTranslations(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxFilterFSHandler.cpp Phoenix.sip680/sip/cpp/sip_corewxFilterFSHandler.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxFilterFSHandler.cpp	2023-12-09 09:35:30.449703342 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxFilterFSHandler.cpp	2023-12-09 09:35:51.101781083 -0500
@@ -304,7 +304,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxFilterFSHandler_CanOpen, "CanOpen(self, location: object) -> bool");
+PyDoc_STRVAR(doc_wxFilterFSHandler_CanOpen, "CanOpen(self, location: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxFilterFSHandler_CanOpen(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxFilterFSHandler_CanOpen(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -345,7 +345,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxFilterFSHandler_OpenFile, "OpenFile(self, fs: FileSystem, location: object) -> Optional[FSFile]");
+PyDoc_STRVAR(doc_wxFilterFSHandler_OpenFile, "OpenFile(self, fs: FileSystem, location: Any) -> Optional[FSFile]");
 
 extern "C" {static PyObject *meth_wxFilterFSHandler_OpenFile(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxFilterFSHandler_OpenFile(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -388,7 +388,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxFilterFSHandler_FindFirst, "FindFirst(self, spec: object, flags: int = 0) -> object");
+PyDoc_STRVAR(doc_wxFilterFSHandler_FindFirst, "FindFirst(self, spec: Any, flags: int = 0) -> Any");
 
 extern "C" {static PyObject *meth_wxFilterFSHandler_FindFirst(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxFilterFSHandler_FindFirst(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -431,7 +431,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxFilterFSHandler_FindNext, "FindNext(self) -> object");
+PyDoc_STRVAR(doc_wxFilterFSHandler_FindNext, "FindNext(self) -> Any");
 
 extern "C" {static PyObject *meth_wxFilterFSHandler_FindNext(PyObject *, PyObject *);}
 static PyObject *meth_wxFilterFSHandler_FindNext(PyObject *sipSelf, PyObject *sipArgs)
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxGraphicsContext.cpp Phoenix.sip680/sip/cpp/sip_corewxGraphicsContext.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxGraphicsContext.cpp	2023-12-09 09:35:30.425703251 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxGraphicsContext.cpp	2023-12-09 09:35:51.078780996 -0500
@@ -2355,7 +2355,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxGraphicsContext_GetTextExtent, "GetTextExtent(self, text: object) -> Any");
+PyDoc_STRVAR(doc_wxGraphicsContext_GetTextExtent, "GetTextExtent(self, text: Any) -> Any");
 
 extern "C" {static PyObject *meth_wxGraphicsContext_GetTextExtent(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxGraphicsContext_GetTextExtent(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxHeaderCtrlSimple.cpp Phoenix.sip680/sip/cpp/sip_corewxHeaderCtrlSimple.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxHeaderCtrlSimple.cpp	2023-12-09 09:35:30.335702912 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxHeaderCtrlSimple.cpp	2023-12-09 09:35:50.971780593 -0500
@@ -2912,7 +2912,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxHeaderCtrlSimple_UpdateColumnsOrder, "UpdateColumnsOrder(self, order: object)");
+PyDoc_STRVAR(doc_wxHeaderCtrlSimple_UpdateColumnsOrder, "UpdateColumnsOrder(self, order: Any)");
 
 extern "C" {static PyObject *meth_wxHeaderCtrlSimple_UpdateColumnsOrder(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxHeaderCtrlSimple_UpdateColumnsOrder(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxIntCArrayHolder.cpp Phoenix.sip680/sip/cpp/sip_corewxIntCArrayHolder.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxIntCArrayHolder.cpp	2023-12-09 09:35:30.469703417 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxIntCArrayHolder.cpp	2023-12-09 09:35:51.122781162 -0500
@@ -7,6 +7,7 @@
 
 #include "sipAPI_core.h"
 #include "arrayholder.h"
+#include "arrayholder.h"
 
 
 
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxInternetFSHandler.cpp Phoenix.sip680/sip/cpp/sip_corewxInternetFSHandler.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxInternetFSHandler.cpp	2023-12-09 09:35:30.448703338 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxInternetFSHandler.cpp	2023-12-09 09:35:51.101781083 -0500
@@ -304,7 +304,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxInternetFSHandler_CanOpen, "CanOpen(self, location: object) -> bool");
+PyDoc_STRVAR(doc_wxInternetFSHandler_CanOpen, "CanOpen(self, location: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxInternetFSHandler_CanOpen(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxInternetFSHandler_CanOpen(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -345,7 +345,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxInternetFSHandler_OpenFile, "OpenFile(self, fs: FileSystem, location: object) -> Optional[FSFile]");
+PyDoc_STRVAR(doc_wxInternetFSHandler_OpenFile, "OpenFile(self, fs: FileSystem, location: Any) -> Optional[FSFile]");
 
 extern "C" {static PyObject *meth_wxInternetFSHandler_OpenFile(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxInternetFSHandler_OpenFile(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -388,7 +388,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxInternetFSHandler_FindFirst, "FindFirst(self, spec: object, flags: int = 0) -> object");
+PyDoc_STRVAR(doc_wxInternetFSHandler_FindFirst, "FindFirst(self, spec: Any, flags: int = 0) -> Any");
 
 extern "C" {static PyObject *meth_wxInternetFSHandler_FindFirst(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxInternetFSHandler_FindFirst(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -431,7 +431,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxInternetFSHandler_FindNext, "FindNext(self) -> object");
+PyDoc_STRVAR(doc_wxInternetFSHandler_FindNext, "FindNext(self) -> Any");
 
 extern "C" {static PyObject *meth_wxInternetFSHandler_FindNext(PyObject *, PyObject *);}
 static PyObject *meth_wxInternetFSHandler_FindNext(PyObject *sipSelf, PyObject *sipArgs)
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxListbook.cpp Phoenix.sip680/sip/cpp/sip_corewxListbook.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxListbook.cpp	2023-12-09 09:35:30.299702777 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxListbook.cpp	2023-12-09 09:35:50.930780439 -0500
@@ -2846,7 +2846,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxListbook_GetPageText, "GetPageText(self, nPage: int) -> object");
+PyDoc_STRVAR(doc_wxListbook_GetPageText, "GetPageText(self, nPage: int) -> Any");
 
 extern "C" {static PyObject *meth_wxListbook_GetPageText(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxListbook_GetPageText(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -2885,7 +2885,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxListbook_SetPageText, "SetPageText(self, page: int, text: object) -> bool");
+PyDoc_STRVAR(doc_wxListbook_SetPageText, "SetPageText(self, page: int, text: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxListbook_SetPageText(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxListbook_SetPageText(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -3082,7 +3082,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxListbook_InsertPage, "InsertPage(self, index: int, page: Optional[Window], text: object, select: bool = False, imageId: int = wxBookCtrlBase.NO_IMAGE) -> bool");
+PyDoc_STRVAR(doc_wxListbook_InsertPage, "InsertPage(self, index: int, page: Optional[Window], text: Any, select: bool = False, imageId: int = wxBookCtrlBase.NO_IMAGE) -> bool");
 
 extern "C" {static PyObject *meth_wxListbook_InsertPage(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxListbook_InsertPage(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxListView.cpp Phoenix.sip680/sip/cpp/sip_corewxListView.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxListView.cpp	2023-12-09 09:35:30.315702837 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxListView.cpp	2023-12-09 09:35:50.948780507 -0500
@@ -3223,7 +3223,7 @@
 "ListView(parent, winid=ID_ANY, pos=DefaultPosition, size=DefaultSize, style=LC_REPORT, validator=DefaultValidator, name=ListCtrlNameStr)\n"
 "\n"
 "This class currently simply presents a simpler to use interface for\n"
-"the wxListCtrl  it can be thought of as a fa\303\247ade for that complicated\n"
+"the wxListCtrl  it can be thought of as a façade for that complicated\n"
 "class.");
 
 
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxMemoryFSHandler.cpp Phoenix.sip680/sip/cpp/sip_corewxMemoryFSHandler.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxMemoryFSHandler.cpp	2023-12-09 09:35:30.449703342 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxMemoryFSHandler.cpp	2023-12-09 09:35:51.102781087 -0500
@@ -590,7 +590,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxMemoryFSHandler_CanOpen, "CanOpen(self, location: object) -> bool");
+PyDoc_STRVAR(doc_wxMemoryFSHandler_CanOpen, "CanOpen(self, location: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxMemoryFSHandler_CanOpen(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxMemoryFSHandler_CanOpen(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -631,7 +631,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxMemoryFSHandler_OpenFile, "OpenFile(self, fs: FileSystem, location: object) -> Optional[FSFile]");
+PyDoc_STRVAR(doc_wxMemoryFSHandler_OpenFile, "OpenFile(self, fs: FileSystem, location: Any) -> Optional[FSFile]");
 
 extern "C" {static PyObject *meth_wxMemoryFSHandler_OpenFile(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxMemoryFSHandler_OpenFile(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -674,7 +674,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxMemoryFSHandler_FindFirst, "FindFirst(self, spec: object, flags: int = 0) -> object");
+PyDoc_STRVAR(doc_wxMemoryFSHandler_FindFirst, "FindFirst(self, spec: Any, flags: int = 0) -> Any");
 
 extern "C" {static PyObject *meth_wxMemoryFSHandler_FindFirst(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxMemoryFSHandler_FindFirst(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -717,7 +717,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxMemoryFSHandler_FindNext, "FindNext(self) -> object");
+PyDoc_STRVAR(doc_wxMemoryFSHandler_FindNext, "FindNext(self) -> Any");
 
 extern "C" {static PyObject *meth_wxMemoryFSHandler_FindNext(PyObject *, PyObject *);}
 static PyObject *meth_wxMemoryFSHandler_FindNext(PyObject *sipSelf, PyObject *sipArgs)
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxPyApp.cpp Phoenix.sip680/sip/cpp/sip_corewxPyApp.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxPyApp.cpp	2023-12-09 09:35:30.384703097 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxPyApp.cpp	2023-12-09 09:35:51.033780827 -0500
@@ -2234,7 +2234,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxPyApp_GetMacHelpMenuTitleName, "GetMacHelpMenuTitleName() -> object");
+PyDoc_STRVAR(doc_wxPyApp_GetMacHelpMenuTitleName, "GetMacHelpMenuTitleName() -> Any");
 
 extern "C" {static PyObject *meth_wxPyApp_GetMacHelpMenuTitleName(PyObject *, PyObject *);}
 static PyObject *meth_wxPyApp_GetMacHelpMenuTitleName(PyObject *, PyObject *sipArgs)
@@ -2373,7 +2373,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxPyApp_SetMacHelpMenuTitleName, "SetMacHelpMenuTitleName(val: object)");
+PyDoc_STRVAR(doc_wxPyApp_SetMacHelpMenuTitleName, "SetMacHelpMenuTitleName(val: Any)");
 
 extern "C" {static PyObject *meth_wxPyApp_SetMacHelpMenuTitleName(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxPyApp_SetMacHelpMenuTitleName(PyObject *, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxPyCommandEvent.cpp Phoenix.sip680/sip/cpp/sip_corewxPyCommandEvent.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxPyCommandEvent.cpp	2023-12-09 09:35:30.393703131 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxPyCommandEvent.cpp	2023-12-09 09:35:51.043780864 -0500
@@ -198,7 +198,7 @@
     {
         PyObject * name;
 
-        if (sipValue == SIP_NULLPTR && sipParsePair(&sipParseErr, sipName, SIP_NULLPTR, "P0", &name))
+        if (sipValue == SIP_NULLPTR && sipParsePair(&sipParseErr, sipName, sipValue, "P0", &name))
         {
         sipCpp->__delattr__(name);
 
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxPyEvent.cpp Phoenix.sip680/sip/cpp/sip_corewxPyEvent.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxPyEvent.cpp	2023-12-09 09:35:30.393703131 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxPyEvent.cpp	2023-12-09 09:35:51.043780864 -0500
@@ -198,7 +198,7 @@
     {
         PyObject * name;
 
-        if (sipValue == SIP_NULLPTR && sipParsePair(&sipParseErr, sipName, SIP_NULLPTR, "P0", &name))
+        if (sipValue == SIP_NULLPTR && sipParsePair(&sipParseErr, sipName, sipValue, "P0", &name))
         {
         sipCpp->__delattr__(name);
 
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxScrolledCanvas.cpp Phoenix.sip680/sip/cpp/sip_corewxScrolledCanvas.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxScrolledCanvas.cpp	2023-12-09 09:35:30.373703055 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxScrolledCanvas.cpp	2023-12-09 09:35:51.019780774 -0500
@@ -7,6 +7,7 @@
 
 #include "sipAPI_core.h"
         #include <wx/scrolwin.h>
+        #include <wx/scrolwin.h>
         #include <wx/window.h>
         #include <wx/gdicmn.h>
         #include <wx/gdicmn.h>
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxSimplebook.cpp Phoenix.sip680/sip/cpp/sip_corewxSimplebook.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxSimplebook.cpp	2023-12-09 09:35:30.294702758 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxSimplebook.cpp	2023-12-09 09:35:50.926780424 -0500
@@ -2985,7 +2985,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxSimplebook_GetPageText, "GetPageText(self, nPage: int) -> object");
+PyDoc_STRVAR(doc_wxSimplebook_GetPageText, "GetPageText(self, nPage: int) -> Any");
 
 extern "C" {static PyObject *meth_wxSimplebook_GetPageText(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxSimplebook_GetPageText(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -3024,7 +3024,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxSimplebook_SetPageText, "SetPageText(self, page: int, text: object) -> bool");
+PyDoc_STRVAR(doc_wxSimplebook_SetPageText, "SetPageText(self, page: int, text: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxSimplebook_SetPageText(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxSimplebook_SetPageText(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -3221,7 +3221,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxSimplebook_InsertPage, "InsertPage(self, index: int, page: Optional[Window], text: object, select: bool = False, imageId: int = wxBookCtrlBase.NO_IMAGE) -> bool");
+PyDoc_STRVAR(doc_wxSimplebook_InsertPage, "InsertPage(self, index: int, page: Optional[Window], text: Any, select: bool = False, imageId: int = wxBookCtrlBase.NO_IMAGE) -> bool");
 
 extern "C" {static PyObject *meth_wxSimplebook_InsertPage(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxSimplebook_InsertPage(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxSimpleHelpProvider.cpp Phoenix.sip680/sip/cpp/sip_corewxSimpleHelpProvider.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxSimpleHelpProvider.cpp	2023-12-09 09:35:30.242702562 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxSimpleHelpProvider.cpp	2023-12-09 09:35:50.875780232 -0500
@@ -156,7 +156,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxSimpleHelpProvider_GetHelp, "GetHelp(self, window: Optional[WindowBase]) -> object");
+PyDoc_STRVAR(doc_wxSimpleHelpProvider_GetHelp, "GetHelp(self, window: Optional[WindowBase]) -> Any");
 
 extern "C" {static PyObject *meth_wxSimpleHelpProvider_GetHelp(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxSimpleHelpProvider_GetHelp(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxStringCArrayHolder.cpp Phoenix.sip680/sip/cpp/sip_corewxStringCArrayHolder.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxStringCArrayHolder.cpp	2023-12-09 09:35:30.469703417 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxStringCArrayHolder.cpp	2023-12-09 09:35:51.122781162 -0500
@@ -7,6 +7,7 @@
 
 #include "sipAPI_core.h"
 #include "arrayholder.h"
+#include "arrayholder.h"
 
 
 
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxToolbook.cpp Phoenix.sip680/sip/cpp/sip_corewxToolbook.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxToolbook.cpp	2023-12-09 09:35:30.297702769 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxToolbook.cpp	2023-12-09 09:35:50.928780432 -0500
@@ -2895,7 +2895,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxToolbook_GetPageText, "GetPageText(self, nPage: int) -> object");
+PyDoc_STRVAR(doc_wxToolbook_GetPageText, "GetPageText(self, nPage: int) -> Any");
 
 extern "C" {static PyObject *meth_wxToolbook_GetPageText(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxToolbook_GetPageText(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -2934,7 +2934,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxToolbook_SetPageText, "SetPageText(self, page: int, text: object) -> bool");
+PyDoc_STRVAR(doc_wxToolbook_SetPageText, "SetPageText(self, page: int, text: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxToolbook_SetPageText(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxToolbook_SetPageText(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -3131,7 +3131,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxToolbook_InsertPage, "InsertPage(self, index: int, page: Optional[Window], text: object, select: bool = False, imageId: int = wxBookCtrlBase.NO_IMAGE) -> bool");
+PyDoc_STRVAR(doc_wxToolbook_InsertPage, "InsertPage(self, index: int, page: Optional[Window], text: Any, select: bool = False, imageId: int = wxBookCtrlBase.NO_IMAGE) -> bool");
 
 extern "C" {static PyObject *meth_wxToolbook_InsertPage(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxToolbook_InsertPage(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_corewxTreebook.cpp Phoenix.sip680/sip/cpp/sip_corewxTreebook.cpp
--- Phoenix.sip6712/sip/cpp/sip_corewxTreebook.cpp	2023-12-09 09:35:30.296702766 -0500
+++ Phoenix.sip680/sip/cpp/sip_corewxTreebook.cpp	2023-12-09 09:35:50.927780428 -0500
@@ -3227,7 +3227,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxTreebook_GetPageText, "GetPageText(self, nPage: int) -> object");
+PyDoc_STRVAR(doc_wxTreebook_GetPageText, "GetPageText(self, nPage: int) -> Any");
 
 extern "C" {static PyObject *meth_wxTreebook_GetPageText(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxTreebook_GetPageText(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -3266,7 +3266,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxTreebook_SetPageText, "SetPageText(self, page: int, text: object) -> bool");
+PyDoc_STRVAR(doc_wxTreebook_SetPageText, "SetPageText(self, page: int, text: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxTreebook_SetPageText(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxTreebook_SetPageText(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_dataviewcmodule.cpp Phoenix.sip680/sip/cpp/sip_dataviewcmodule.cpp
--- Phoenix.sip6712/sip/cpp/sip_dataviewcmodule.cpp	2023-12-09 09:38:12.019311543 -0500
+++ Phoenix.sip680/sip/cpp/sip_dataviewcmodule.cpp	2023-12-09 09:38:14.245319923 -0500
@@ -1483,8 +1483,8 @@
      * Define the class, mapped type and enum instances that have to be
      * added inline.
      */
-    sipAddTypeInstance(sipModuleDict,sipName_TLI_FIRST,const_cast<::wxTreeListItem *>(&::wxTLI_FIRST), sipType_wxTreeListItem);
-    sipAddTypeInstance(sipModuleDict,sipName_TLI_LAST,const_cast<::wxTreeListItem *>(&::wxTLI_LAST), sipType_wxTreeListItem);
+    sipAddTypeInstance(sipModuleDict, sipName_TLI_FIRST, const_cast<::wxTreeListItem *>(&::wxTLI_FIRST), sipType_wxTreeListItem);
+    sipAddTypeInstance(sipModuleDict, sipName_TLI_LAST, const_cast<::wxTreeListItem *>(&::wxTLI_LAST), sipType_wxTreeListItem);
 
     return sipModule;
 }
diff -ru Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewBitmapRenderer.cpp Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewBitmapRenderer.cpp
--- Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewBitmapRenderer.cpp	2023-12-09 09:38:12.031311588 -0500
+++ Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewBitmapRenderer.cpp	2023-12-09 09:38:14.266320002 -0500
@@ -342,7 +342,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewBitmapRenderer_SetValue, "SetValue(self, value: object) -> bool");
+PyDoc_STRVAR(doc_wxDataViewBitmapRenderer_SetValue, "SetValue(self, value: Optional[Any]) -> bool");
 
 extern "C" {static PyObject *meth_wxDataViewBitmapRenderer_SetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewBitmapRenderer_SetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -383,7 +383,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewBitmapRenderer_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxDataViewBitmapRenderer_GetValue, "GetValue(self) -> Optional[Any]");
 
 extern "C" {static PyObject *meth_wxDataViewBitmapRenderer_GetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewBitmapRenderer_GetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewCheckIconTextRenderer.cpp Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewCheckIconTextRenderer.cpp
--- Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewCheckIconTextRenderer.cpp	2023-12-09 09:38:12.033311596 -0500
+++ Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewCheckIconTextRenderer.cpp	2023-12-09 09:38:14.270320017 -0500
@@ -380,7 +380,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewCheckIconTextRenderer_SetValue, "SetValue(self, value: object) -> bool");
+PyDoc_STRVAR(doc_wxDataViewCheckIconTextRenderer_SetValue, "SetValue(self, value: Optional[Any]) -> bool");
 
 extern "C" {static PyObject *meth_wxDataViewCheckIconTextRenderer_SetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewCheckIconTextRenderer_SetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -421,7 +421,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewCheckIconTextRenderer_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxDataViewCheckIconTextRenderer_GetValue, "GetValue(self) -> Optional[Any]");
 
 extern "C" {static PyObject *meth_wxDataViewCheckIconTextRenderer_GetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewCheckIconTextRenderer_GetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewChoiceRenderer.cpp Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewChoiceRenderer.cpp
--- Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewChoiceRenderer.cpp	2023-12-09 09:38:12.031311588 -0500
+++ Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewChoiceRenderer.cpp	2023-12-09 09:38:14.267320005 -0500
@@ -384,7 +384,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewChoiceRenderer_SetValue, "SetValue(self, value: object) -> bool");
+PyDoc_STRVAR(doc_wxDataViewChoiceRenderer_SetValue, "SetValue(self, value: Optional[Any]) -> bool");
 
 extern "C" {static PyObject *meth_wxDataViewChoiceRenderer_SetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewChoiceRenderer_SetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -425,7 +425,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewChoiceRenderer_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxDataViewChoiceRenderer_GetValue, "GetValue(self) -> Optional[Any]");
 
 extern "C" {static PyObject *meth_wxDataViewChoiceRenderer_GetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewChoiceRenderer_GetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewColumn.cpp Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewColumn.cpp
--- Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewColumn.cpp	2023-12-09 09:38:12.030311585 -0500
+++ Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewColumn.cpp	2023-12-09 09:38:14.265319998 -0500
@@ -581,7 +581,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewColumn_SetTitle, "SetTitle(self, title: object)");
+PyDoc_STRVAR(doc_wxDataViewColumn_SetTitle, "SetTitle(self, title: Any)");
 
 extern "C" {static PyObject *meth_wxDataViewColumn_SetTitle(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewColumn_SetTitle(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -621,7 +621,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewColumn_GetTitle, "GetTitle(self) -> object");
+PyDoc_STRVAR(doc_wxDataViewColumn_GetTitle, "GetTitle(self) -> Any");
 
 extern "C" {static PyObject *meth_wxDataViewColumn_GetTitle(PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewColumn_GetTitle(PyObject *sipSelf, PyObject *sipArgs)
diff -ru Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewDateRenderer.cpp Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewDateRenderer.cpp
--- Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewDateRenderer.cpp	2023-12-09 09:38:12.031311588 -0500
+++ Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewDateRenderer.cpp	2023-12-09 09:38:14.266320002 -0500
@@ -342,7 +342,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewDateRenderer_SetValue, "SetValue(self, value: object) -> bool");
+PyDoc_STRVAR(doc_wxDataViewDateRenderer_SetValue, "SetValue(self, value: Optional[Any]) -> bool");
 
 extern "C" {static PyObject *meth_wxDataViewDateRenderer_SetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewDateRenderer_SetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -383,7 +383,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewDateRenderer_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxDataViewDateRenderer_GetValue, "GetValue(self) -> Optional[Any]");
 
 extern "C" {static PyObject *meth_wxDataViewDateRenderer_GetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewDateRenderer_GetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewIconTextRenderer.cpp Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewIconTextRenderer.cpp
--- Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewIconTextRenderer.cpp	2023-12-09 09:38:12.033311596 -0500
+++ Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewIconTextRenderer.cpp	2023-12-09 09:38:14.270320017 -0500
@@ -342,7 +342,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewIconTextRenderer_SetValue, "SetValue(self, value: object) -> bool");
+PyDoc_STRVAR(doc_wxDataViewIconTextRenderer_SetValue, "SetValue(self, value: Optional[Any]) -> bool");
 
 extern "C" {static PyObject *meth_wxDataViewIconTextRenderer_SetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewIconTextRenderer_SetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -383,7 +383,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewIconTextRenderer_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxDataViewIconTextRenderer_GetValue, "GetValue(self) -> Optional[Any]");
 
 extern "C" {static PyObject *meth_wxDataViewIconTextRenderer_GetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewIconTextRenderer_GetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewListModel.cpp Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewListModel.cpp
--- Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewListModel.cpp	2023-12-09 09:38:12.036311607 -0500
+++ Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewListModel.cpp	2023-12-09 09:38:14.275320035 -0500
@@ -776,7 +776,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewListModel_GetValue, "GetValue(self, item: DataViewItem, col: int) -> object");
+PyDoc_STRVAR(doc_wxDataViewListModel_GetValue, "GetValue(self, item: DataViewItem, col: int) -> Optional[Any]");
 
 extern "C" {static PyObject *meth_wxDataViewListModel_GetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewListModel_GetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -818,7 +818,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewListModel_SetValue, "SetValue(self, variant: object, item: DataViewItem, col: int) -> bool");
+PyDoc_STRVAR(doc_wxDataViewListModel_SetValue, "SetValue(self, variant: Optional[Any], item: DataViewItem, col: int) -> bool");
 
 extern "C" {static PyObject *meth_wxDataViewListModel_SetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewListModel_SetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewProgressRenderer.cpp Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewProgressRenderer.cpp
--- Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewProgressRenderer.cpp	2023-12-09 09:38:12.032311592 -0500
+++ Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewProgressRenderer.cpp	2023-12-09 09:38:14.269320013 -0500
@@ -342,7 +342,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewProgressRenderer_SetValue, "SetValue(self, value: object) -> bool");
+PyDoc_STRVAR(doc_wxDataViewProgressRenderer_SetValue, "SetValue(self, value: Optional[Any]) -> bool");
 
 extern "C" {static PyObject *meth_wxDataViewProgressRenderer_SetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewProgressRenderer_SetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -383,7 +383,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewProgressRenderer_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxDataViewProgressRenderer_GetValue, "GetValue(self) -> Optional[Any]");
 
 extern "C" {static PyObject *meth_wxDataViewProgressRenderer_GetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewProgressRenderer_GetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewSpinRenderer.cpp Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewSpinRenderer.cpp
--- Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewSpinRenderer.cpp	2023-12-09 09:38:12.032311592 -0500
+++ Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewSpinRenderer.cpp	2023-12-09 09:38:14.268320009 -0500
@@ -459,7 +459,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewSpinRenderer_SetValue, "SetValue(self, value: object) -> bool");
+PyDoc_STRVAR(doc_wxDataViewSpinRenderer_SetValue, "SetValue(self, value: Optional[Any]) -> bool");
 
 extern "C" {static PyObject *meth_wxDataViewSpinRenderer_SetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewSpinRenderer_SetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -500,7 +500,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewSpinRenderer_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxDataViewSpinRenderer_GetValue, "GetValue(self) -> Optional[Any]");
 
 extern "C" {static PyObject *meth_wxDataViewSpinRenderer_GetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewSpinRenderer_GetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewTextRenderer.cpp Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewTextRenderer.cpp
--- Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewTextRenderer.cpp	2023-12-09 09:38:12.033311596 -0500
+++ Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewTextRenderer.cpp	2023-12-09 09:38:14.271320020 -0500
@@ -381,7 +381,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewTextRenderer_SetValue, "SetValue(self, value: object) -> bool");
+PyDoc_STRVAR(doc_wxDataViewTextRenderer_SetValue, "SetValue(self, value: Optional[Any]) -> bool");
 
 extern "C" {static PyObject *meth_wxDataViewTextRenderer_SetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewTextRenderer_SetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -422,7 +422,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewTextRenderer_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxDataViewTextRenderer_GetValue, "GetValue(self) -> Optional[Any]");
 
 extern "C" {static PyObject *meth_wxDataViewTextRenderer_GetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewTextRenderer_GetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewToggleRenderer.cpp Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewToggleRenderer.cpp
--- Phoenix.sip6712/sip/cpp/sip_dataviewwxDataViewToggleRenderer.cpp	2023-12-09 09:38:12.032311592 -0500
+++ Phoenix.sip680/sip/cpp/sip_dataviewwxDataViewToggleRenderer.cpp	2023-12-09 09:38:14.268320009 -0500
@@ -377,7 +377,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewToggleRenderer_SetValue, "SetValue(self, value: object) -> bool");
+PyDoc_STRVAR(doc_wxDataViewToggleRenderer_SetValue, "SetValue(self, value: Optional[Any]) -> bool");
 
 extern "C" {static PyObject *meth_wxDataViewToggleRenderer_SetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewToggleRenderer_SetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -418,7 +418,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxDataViewToggleRenderer_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxDataViewToggleRenderer_GetValue, "GetValue(self) -> Optional[Any]");
 
 extern "C" {static PyObject *meth_wxDataViewToggleRenderer_GetValue(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxDataViewToggleRenderer_GetValue(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_gridcmodule.cpp Phoenix.sip680/sip/cpp/sip_gridcmodule.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridcmodule.cpp	2023-12-09 09:36:16.420876392 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridcmodule.cpp	2023-12-09 09:36:30.811930565 -0500
@@ -60,6 +60,9 @@
         #include <wx/object.h>
         #include <wx/object.h>
         #include <wx/object.h>
+        #include <wx/object.h>
+        #include <wx/object.h>
+        #include <wx/object.h>
 
 /* Define the strings used by this module. */
 const char sipStrings__grid[] = {
diff -ru Phoenix.sip6712/sip/cpp/sip_gridwxGridCellAttr.cpp Phoenix.sip680/sip/cpp/sip_gridwxGridCellAttr.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridwxGridCellAttr.cpp	2023-12-09 09:36:16.433876441 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridwxGridCellAttr.cpp	2023-12-09 09:36:30.825930618 -0500
@@ -14,6 +14,7 @@
         #include <wx/grid.h>
         #include <wx/grid.h>
         #include <wx/object.h>
+        #include <wx/object.h>
 
 
 class sipwxGridCellAttr : public ::wxGridCellAttr
diff -ru Phoenix.sip6712/sip/cpp/sip_gridwxGridCellAttrProvider.cpp Phoenix.sip680/sip/cpp/sip_gridwxGridCellAttrProvider.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridwxGridCellAttrProvider.cpp	2023-12-09 09:36:16.431876434 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridwxGridCellAttrProvider.cpp	2023-12-09 09:36:30.823930610 -0500
@@ -8,6 +8,7 @@
 #include "sipAPI_grid.h"
         #include <wx/grid.h>
         #include <wx/object.h>
+        #include <wx/object.h>
         #include <wx/grid.h>
         #include <wx/grid.h>
         #include <wx/grid.h>
diff -ru Phoenix.sip6712/sip/cpp/sip_gridwxGridCellAttrPtr.cpp Phoenix.sip680/sip/cpp/sip_gridwxGridCellAttrPtr.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridwxGridCellAttrPtr.cpp	2023-12-09 09:36:16.420876392 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridwxGridCellAttrPtr.cpp	2023-12-09 09:36:30.811930565 -0500
@@ -7,6 +7,7 @@
 
 #include "sipAPI_grid.h"
         #include <wx/object.h>
+        #include <wx/object.h>
         #include <wx/grid.h>
 
 
diff -ru Phoenix.sip6712/sip/cpp/sip_gridwxGridCellAutoWrapStringEditor.cpp Phoenix.sip680/sip/cpp/sip_gridwxGridCellAutoWrapStringEditor.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridwxGridCellAutoWrapStringEditor.cpp	2023-12-09 09:36:16.436876452 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridwxGridCellAutoWrapStringEditor.cpp	2023-12-09 09:36:30.829930633 -0500
@@ -606,7 +606,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxGridCellAutoWrapStringEditor_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxGridCellAutoWrapStringEditor_GetValue, "GetValue(self) -> Any");
 
 extern "C" {static PyObject *meth_wxGridCellAutoWrapStringEditor_GetValue(PyObject *, PyObject *);}
 static PyObject *meth_wxGridCellAutoWrapStringEditor_GetValue(PyObject *sipSelf, PyObject *sipArgs)
diff -ru Phoenix.sip6712/sip/cpp/sip_gridwxGridCellBoolEditor.cpp Phoenix.sip680/sip/cpp/sip_gridwxGridCellBoolEditor.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridwxGridCellBoolEditor.cpp	2023-12-09 09:36:16.436876452 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridwxGridCellBoolEditor.cpp	2023-12-09 09:36:30.828930629 -0500
@@ -656,7 +656,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxGridCellBoolEditor_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxGridCellBoolEditor_GetValue, "GetValue(self) -> Any");
 
 extern "C" {static PyObject *meth_wxGridCellBoolEditor_GetValue(PyObject *, PyObject *);}
 static PyObject *meth_wxGridCellBoolEditor_GetValue(PyObject *sipSelf, PyObject *sipArgs)
diff -ru Phoenix.sip6712/sip/cpp/sip_gridwxGridCellChoiceEditor.cpp Phoenix.sip680/sip/cpp/sip_gridwxGridCellChoiceEditor.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridwxGridCellChoiceEditor.cpp	2023-12-09 09:36:16.436876452 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridwxGridCellChoiceEditor.cpp	2023-12-09 09:36:30.828930629 -0500
@@ -628,7 +628,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxGridCellChoiceEditor_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxGridCellChoiceEditor_GetValue, "GetValue(self) -> Any");
 
 extern "C" {static PyObject *meth_wxGridCellChoiceEditor_GetValue(PyObject *, PyObject *);}
 static PyObject *meth_wxGridCellChoiceEditor_GetValue(PyObject *sipSelf, PyObject *sipArgs)
diff -ru Phoenix.sip6712/sip/cpp/sip_gridwxGridCellDateEditor.cpp Phoenix.sip680/sip/cpp/sip_gridwxGridCellDateEditor.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridwxGridCellDateEditor.cpp	2023-12-09 09:36:16.437876456 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridwxGridCellDateEditor.cpp	2023-12-09 09:36:30.829930633 -0500
@@ -567,7 +567,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxGridCellDateEditor_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxGridCellDateEditor_GetValue, "GetValue(self) -> Any");
 
 extern "C" {static PyObject *meth_wxGridCellDateEditor_GetValue(PyObject *, PyObject *);}
 static PyObject *meth_wxGridCellDateEditor_GetValue(PyObject *sipSelf, PyObject *sipArgs)
diff -ru Phoenix.sip6712/sip/cpp/sip_gridwxGridCellEditorPtr.cpp Phoenix.sip680/sip/cpp/sip_gridwxGridCellEditorPtr.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridwxGridCellEditorPtr.cpp	2023-12-09 09:36:16.421876396 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridwxGridCellEditorPtr.cpp	2023-12-09 09:36:30.812930569 -0500
@@ -7,6 +7,7 @@
 
 #include "sipAPI_grid.h"
         #include <wx/object.h>
+        #include <wx/object.h>
         #include <wx/grid.h>
 
 
diff -ru Phoenix.sip6712/sip/cpp/sip_gridwxGridCellEnumEditor.cpp Phoenix.sip680/sip/cpp/sip_gridwxGridCellEnumEditor.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridwxGridCellEnumEditor.cpp	2023-12-09 09:36:16.435876449 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridwxGridCellEnumEditor.cpp	2023-12-09 09:36:30.827930625 -0500
@@ -586,7 +586,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxGridCellEnumEditor_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxGridCellEnumEditor_GetValue, "GetValue(self) -> Any");
 
 extern "C" {static PyObject *meth_wxGridCellEnumEditor_GetValue(PyObject *, PyObject *);}
 static PyObject *meth_wxGridCellEnumEditor_GetValue(PyObject *sipSelf, PyObject *sipArgs)
diff -ru Phoenix.sip6712/sip/cpp/sip_gridwxGridCellFloatEditor.cpp Phoenix.sip680/sip/cpp/sip_gridwxGridCellFloatEditor.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridwxGridCellFloatEditor.cpp	2023-12-09 09:36:16.435876449 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridwxGridCellFloatEditor.cpp	2023-12-09 09:36:30.827930625 -0500
@@ -649,7 +649,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxGridCellFloatEditor_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxGridCellFloatEditor_GetValue, "GetValue(self) -> Any");
 
 extern "C" {static PyObject *meth_wxGridCellFloatEditor_GetValue(PyObject *, PyObject *);}
 static PyObject *meth_wxGridCellFloatEditor_GetValue(PyObject *sipSelf, PyObject *sipArgs)
diff -ru Phoenix.sip6712/sip/cpp/sip_gridwxGridCellNumberEditor.cpp Phoenix.sip680/sip/cpp/sip_gridwxGridCellNumberEditor.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridwxGridCellNumberEditor.cpp	2023-12-09 09:36:16.434876445 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridwxGridCellNumberEditor.cpp	2023-12-09 09:36:30.826930621 -0500
@@ -648,7 +648,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxGridCellNumberEditor_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxGridCellNumberEditor_GetValue, "GetValue(self) -> Any");
 
 extern "C" {static PyObject *meth_wxGridCellNumberEditor_GetValue(PyObject *, PyObject *);}
 static PyObject *meth_wxGridCellNumberEditor_GetValue(PyObject *sipSelf, PyObject *sipArgs)
diff -ru Phoenix.sip6712/sip/cpp/sip_gridwxGridCellRendererPtr.cpp Phoenix.sip680/sip/cpp/sip_gridwxGridCellRendererPtr.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridwxGridCellRendererPtr.cpp	2023-12-09 09:36:16.421876396 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridwxGridCellRendererPtr.cpp	2023-12-09 09:36:30.812930569 -0500
@@ -7,6 +7,7 @@
 
 #include "sipAPI_grid.h"
         #include <wx/object.h>
+        #include <wx/object.h>
         #include <wx/grid.h>
 
 
diff -ru Phoenix.sip6712/sip/cpp/sip_gridwxGridCellTextEditor.cpp Phoenix.sip680/sip/cpp/sip_gridwxGridCellTextEditor.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridwxGridCellTextEditor.cpp	2023-12-09 09:36:16.437876456 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridwxGridCellTextEditor.cpp	2023-12-09 09:36:30.829930633 -0500
@@ -689,7 +689,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxGridCellTextEditor_GetValue, "GetValue(self) -> object");
+PyDoc_STRVAR(doc_wxGridCellTextEditor_GetValue, "GetValue(self) -> Any");
 
 extern "C" {static PyObject *meth_wxGridCellTextEditor_GetValue(PyObject *, PyObject *);}
 static PyObject *meth_wxGridCellTextEditor_GetValue(PyObject *sipSelf, PyObject *sipArgs)
diff -ru Phoenix.sip6712/sip/cpp/sip_gridwxGrid.cpp Phoenix.sip680/sip/cpp/sip_gridwxGrid.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridwxGrid.cpp	2023-12-09 09:36:16.428876422 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridwxGrid.cpp	2023-12-09 09:36:30.820930599 -0500
@@ -22,6 +22,7 @@
         #include <wx/grid.h>
         #include <wx/grid.h>
         #include <wx/object.h>
+        #include <wx/object.h>
         #include <wx/grid.h>
         #include <wx/grid.h>
         #include <wx/grid.h>
diff -ru Phoenix.sip6712/sip/cpp/sip_gridwxGridStringTable.cpp Phoenix.sip680/sip/cpp/sip_gridwxGridStringTable.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridwxGridStringTable.cpp	2023-12-09 09:36:16.430876430 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridwxGridStringTable.cpp	2023-12-09 09:36:30.821930603 -0500
@@ -10,6 +10,7 @@
         #include <wx/grid.h>
         #include <wx/grid.h>
         #include <wx/object.h>
+        #include <wx/object.h>
         #include <wx/grid.h>
         #include <wx/grid.h>
         #include <wx/object.h>
diff -ru Phoenix.sip6712/sip/cpp/sip_gridwxGridTableBase.cpp Phoenix.sip680/sip/cpp/sip_gridwxGridTableBase.cpp
--- Phoenix.sip6712/sip/cpp/sip_gridwxGridTableBase.cpp	2023-12-09 09:36:16.431876434 -0500
+++ Phoenix.sip680/sip/cpp/sip_gridwxGridTableBase.cpp	2023-12-09 09:36:30.822930606 -0500
@@ -10,6 +10,7 @@
         #include <wx/grid.h>
         #include <wx/grid.h>
         #include <wx/object.h>
+        #include <wx/object.h>
         #include <wx/grid.h>
         #include <wx/grid.h>
         #include <wx/object.h>
diff -ru Phoenix.sip6712/sip/cpp/sip_htmlwxHtmlHelpController.cpp Phoenix.sip680/sip/cpp/sip_htmlwxHtmlHelpController.cpp
--- Phoenix.sip6712/sip/cpp/sip_htmlwxHtmlHelpController.cpp	2023-12-09 09:40:15.727777223 -0500
+++ Phoenix.sip680/sip/cpp/sip_htmlwxHtmlHelpController.cpp	2023-12-09 09:40:02.604727824 -0500
@@ -1092,8 +1092,8 @@
 }
 
 
-PyDoc_STRVAR(doc_wxHtmlHelpController_Initialize, "Initialize(self, file: object, server: int) -> bool\n"
-"Initialize(self, file: object) -> bool");
+PyDoc_STRVAR(doc_wxHtmlHelpController_Initialize, "Initialize(self, file: Any, server: int) -> bool\n"
+"Initialize(self, file: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxHtmlHelpController_Initialize(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxHtmlHelpController_Initialize(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -1163,7 +1163,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxHtmlHelpController_SetViewer, "SetViewer(self, viewer: object, flags: int = 0)");
+PyDoc_STRVAR(doc_wxHtmlHelpController_SetViewer, "SetViewer(self, viewer: Any, flags: int = 0)");
 
 extern "C" {static PyObject *meth_wxHtmlHelpController_SetViewer(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxHtmlHelpController_SetViewer(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -1205,7 +1205,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxHtmlHelpController_LoadFile, "LoadFile(self, file: object = \"\") -> bool");
+PyDoc_STRVAR(doc_wxHtmlHelpController_LoadFile, "LoadFile(self, file: Any = \"\") -> bool");
 
 extern "C" {static PyObject *meth_wxHtmlHelpController_LoadFile(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxHtmlHelpController_LoadFile(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -1248,7 +1248,7 @@
 
 
 PyDoc_STRVAR(doc_wxHtmlHelpController_DisplaySection, "DisplaySection(self, sectionNo: int) -> bool\n"
-"DisplaySection(self, section: object) -> bool");
+"DisplaySection(self, section: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxHtmlHelpController_DisplaySection(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxHtmlHelpController_DisplaySection(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -1353,7 +1353,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxHtmlHelpController_DisplayTextPopup, "DisplayTextPopup(self, text: object, pos: Point) -> bool");
+PyDoc_STRVAR(doc_wxHtmlHelpController_DisplayTextPopup, "DisplayTextPopup(self, text: Any, pos: Point) -> bool");
 
 extern "C" {static PyObject *meth_wxHtmlHelpController_DisplayTextPopup(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxHtmlHelpController_DisplayTextPopup(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -1504,7 +1504,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxHtmlHelpController_SetFrameParameters, "SetFrameParameters(self, titleFormat: object, size: Size, pos: Point = wxDefaultPosition, newFrameEachTime: bool = False)");
+PyDoc_STRVAR(doc_wxHtmlHelpController_SetFrameParameters, "SetFrameParameters(self, titleFormat: Any, size: Size, pos: Point = wxDefaultPosition, newFrameEachTime: bool = False)");
 
 extern "C" {static PyObject *meth_wxHtmlHelpController_SetFrameParameters(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxHtmlHelpController_SetFrameParameters(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_htmlwxHtmlWindow.cpp Phoenix.sip680/sip/cpp/sip_htmlwxHtmlWindow.cpp
--- Phoenix.sip6712/sip/cpp/sip_htmlwxHtmlWindow.cpp	2023-12-09 09:40:15.738777264 -0500
+++ Phoenix.sip680/sip/cpp/sip_htmlwxHtmlWindow.cpp	2023-12-09 09:40:02.614727861 -0500
@@ -4167,7 +4167,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxHtmlWindow_SetHTMLWindowTitle, "SetHTMLWindowTitle(self, title: object)");
+PyDoc_STRVAR(doc_wxHtmlWindow_SetHTMLWindowTitle, "SetHTMLWindowTitle(self, title: Any)");
 
 extern "C" {static PyObject *meth_wxHtmlWindow_SetHTMLWindowTitle(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxHtmlWindow_SetHTMLWindowTitle(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -4245,7 +4245,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxHtmlWindow_OnHTMLOpeningURL, "OnHTMLOpeningURL(self, type: HtmlURLType, url: object) -> (HtmlOpeningStatus, Optional[object])");
+PyDoc_STRVAR(doc_wxHtmlWindow_OnHTMLOpeningURL, "OnHTMLOpeningURL(self, type: HtmlURLType, url: Any) -> (HtmlOpeningStatus, Optional[Any])");
 
 extern "C" {static PyObject *meth_wxHtmlWindow_OnHTMLOpeningURL(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxHtmlWindow_OnHTMLOpeningURL(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -4367,7 +4367,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxHtmlWindow_GetHTMLBackgroundColour, "GetHTMLBackgroundColour(self) -> Colour");
+PyDoc_STRVAR(doc_wxHtmlWindow_GetHTMLBackgroundColour, "GetHTMLBackgroundColour(self) -> Optional[Colour]");
 
 extern "C" {static PyObject *meth_wxHtmlWindow_GetHTMLBackgroundColour(PyObject *, PyObject *);}
 static PyObject *meth_wxHtmlWindow_GetHTMLBackgroundColour(PyObject *sipSelf, PyObject *sipArgs)
@@ -4401,7 +4401,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxHtmlWindow_SetHTMLBackgroundColour, "SetHTMLBackgroundColour(self, clr: Colour)");
+PyDoc_STRVAR(doc_wxHtmlWindow_SetHTMLBackgroundColour, "SetHTMLBackgroundColour(self, clr: Optional[Colour])");
 
 extern "C" {static PyObject *meth_wxHtmlWindow_SetHTMLBackgroundColour(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxHtmlWindow_SetHTMLBackgroundColour(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -4481,7 +4481,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxHtmlWindow_SetHTMLStatusText, "SetHTMLStatusText(self, text: object)");
+PyDoc_STRVAR(doc_wxHtmlWindow_SetHTMLStatusText, "SetHTMLStatusText(self, text: Any)");
 
 extern "C" {static PyObject *meth_wxHtmlWindow_SetHTMLStatusText(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxHtmlWindow_SetHTMLStatusText(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_htmlwxSimpleHtmlListBox.cpp Phoenix.sip680/sip/cpp/sip_htmlwxSimpleHtmlListBox.cpp
--- Phoenix.sip6712/sip/cpp/sip_htmlwxSimpleHtmlListBox.cpp	2023-12-09 09:40:15.724777212 -0500
+++ Phoenix.sip680/sip/cpp/sip_htmlwxSimpleHtmlListBox.cpp	2023-12-09 09:40:02.601727812 -0500
@@ -3771,7 +3771,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxSimpleHtmlListBox_GetString, "GetString(self, n: int) -> object");
+PyDoc_STRVAR(doc_wxSimpleHtmlListBox_GetString, "GetString(self, n: int) -> Any");
 
 extern "C" {static PyObject *meth_wxSimpleHtmlListBox_GetString(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxSimpleHtmlListBox_GetString(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -3810,7 +3810,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxSimpleHtmlListBox_SetString, "SetString(self, n: int, s: object)");
+PyDoc_STRVAR(doc_wxSimpleHtmlListBox_SetString, "SetString(self, n: int, s: Any)");
 
 extern "C" {static PyObject *meth_wxSimpleHtmlListBox_SetString(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxSimpleHtmlListBox_SetString(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -3924,7 +3924,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxSimpleHtmlListBox_OnGetItem, "OnGetItem(self, n: int) -> object");
+PyDoc_STRVAR(doc_wxSimpleHtmlListBox_OnGetItem, "OnGetItem(self, n: int) -> Any");
 
 extern "C" {static PyObject *meth_wxSimpleHtmlListBox_OnGetItem(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxSimpleHtmlListBox_OnGetItem(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_mswwxCHMHelpController.cpp Phoenix.sip680/sip/cpp/sip_mswwxCHMHelpController.cpp
--- Phoenix.sip6712/sip/cpp/sip_mswwxCHMHelpController.cpp	2023-12-09 09:36:37.558955963 -0500
+++ Phoenix.sip680/sip/cpp/sip_mswwxCHMHelpController.cpp	2023-12-09 09:36:49.209999821 -0500
@@ -323,7 +323,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxCHMHelpController_Initialize, "Initialize(self, file: object) -> bool");
+PyDoc_STRVAR(doc_wxCHMHelpController_Initialize, "Initialize(self, file: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxCHMHelpController_Initialize(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxCHMHelpController_Initialize(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -364,7 +364,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxCHMHelpController_LoadFile, "LoadFile(self, file: object = wxEmptyString) -> bool");
+PyDoc_STRVAR(doc_wxCHMHelpController_LoadFile, "LoadFile(self, file: Any = wxEmptyString) -> bool");
 
 extern "C" {static PyObject *meth_wxCHMHelpController_LoadFile(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxCHMHelpController_LoadFile(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -441,7 +441,7 @@
 
 
 PyDoc_STRVAR(doc_wxCHMHelpController_DisplaySection, "DisplaySection(self, sectionNo: int) -> bool\n"
-"DisplaySection(self, section: object) -> bool");
+"DisplaySection(self, section: Any) -> bool");
 
 extern "C" {static PyObject *meth_wxCHMHelpController_DisplaySection(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxCHMHelpController_DisplaySection(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -585,7 +585,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxCHMHelpController_DisplayTextPopup, "DisplayTextPopup(self, text: object, pos: Point) -> bool");
+PyDoc_STRVAR(doc_wxCHMHelpController_DisplayTextPopup, "DisplayTextPopup(self, text: Any, pos: Point) -> bool");
 
 extern "C" {static PyObject *meth_wxCHMHelpController_DisplayTextPopup(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxCHMHelpController_DisplayTextPopup(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -630,7 +630,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxCHMHelpController_KeywordSearch, "KeywordSearch(self, k: object, mode: HelpSearchMode = wxHELP_SEARCH_ALL) -> bool");
+PyDoc_STRVAR(doc_wxCHMHelpController_KeywordSearch, "KeywordSearch(self, k: Any, mode: HelpSearchMode = wxHELP_SEARCH_ALL) -> bool");
 
 extern "C" {static PyObject *meth_wxCHMHelpController_KeywordSearch(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxCHMHelpController_KeywordSearch(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -707,7 +707,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxCHMHelpController_GetHelpFile, "GetHelpFile(self) -> object");
+PyDoc_STRVAR(doc_wxCHMHelpController_GetHelpFile, "GetHelpFile(self) -> Any");
 
 extern "C" {static PyObject *meth_wxCHMHelpController_GetHelpFile(PyObject *, PyObject *);}
 static PyObject *meth_wxCHMHelpController_GetHelpFile(PyObject *sipSelf, PyObject *sipArgs)
@@ -740,7 +740,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxCHMHelpController_ShowContextHelpPopup, "ShowContextHelpPopup(text: object, pos: Point, window: Optional[Window]) -> bool");
+PyDoc_STRVAR(doc_wxCHMHelpController_ShowContextHelpPopup, "ShowContextHelpPopup(text: Any, pos: Point, window: Optional[Window]) -> bool");
 
 extern "C" {static PyObject *meth_wxCHMHelpController_ShowContextHelpPopup(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxCHMHelpController_ShowContextHelpPopup(PyObject *, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_propgridcmodule.cpp Phoenix.sip680/sip/cpp/sip_propgridcmodule.cpp
--- Phoenix.sip6712/sip/cpp/sip_propgridcmodule.cpp	2023-12-09 09:40:42.257877091 -0500
+++ Phoenix.sip680/sip/cpp/sip_propgridcmodule.cpp	2023-12-09 09:40:26.465817644 -0500
@@ -1997,7 +1997,7 @@
 }
 
 
-PyDoc_STRVAR(doc_testPGVariantTypeName, "testPGVariantTypeName(var: object) -> object");
+PyDoc_STRVAR(doc_testPGVariantTypeName, "testPGVariantTypeName(var: Optional[Any]) -> Any");
 
 extern "C" {static PyObject *func_testPGVariantTypeName(PyObject *, PyObject *, PyObject *);}
 static PyObject *func_testPGVariantTypeName(PyObject *, PyObject *sipArgs, PyObject *sipKwds)
@@ -2037,7 +2037,7 @@
 }
 
 
-PyDoc_STRVAR(doc_testPGVariantTypemap, "testPGVariantTypemap(var: object) -> object");
+PyDoc_STRVAR(doc_testPGVariantTypemap, "testPGVariantTypemap(var: Optional[Any]) -> Optional[Any]");
 
 extern "C" {static PyObject *func_testPGVariantTypemap(PyObject *, PyObject *, PyObject *);}
 static PyObject *func_testPGVariantTypemap(PyObject *, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_richtextcmodule.cpp Phoenix.sip680/sip/cpp/sip_richtextcmodule.cpp
--- Phoenix.sip6712/sip/cpp/sip_richtextcmodule.cpp	2023-12-09 09:41:21.437025538 -0500
+++ Phoenix.sip680/sip/cpp/sip_richtextcmodule.cpp	2023-12-09 09:41:00.799946890 -0500
@@ -4110,13 +4110,6 @@
 };
 
 
-/* Define the strings to be added to this module dictionary. */
-static sipStringInstanceDef stringInstances[] = {
-    {sipName_RichTextLineBreakChar, (const char *)&wxRichTextLineBreakChar, 'w'},
-    {0, 0, 0}
-};
-
-
 /* Define the enum members and ints to be added to this module. */
 static sipIntInstanceDef intInstances[] = {
     {sipName_ID_RICHTEXT_PROPERTIES1, wxID_RICHTEXT_PROPERTIES1},
@@ -4237,7 +4230,7 @@
     typedefsTable,
     SIP_NULLPTR,
     SIP_NULLPTR,
-    {SIP_NULLPTR, SIP_NULLPTR, SIP_NULLPTR, stringInstances, intInstances, SIP_NULLPTR, SIP_NULLPTR, SIP_NULLPTR, SIP_NULLPTR, doubleInstances},
+    {SIP_NULLPTR, SIP_NULLPTR, SIP_NULLPTR, SIP_NULLPTR, intInstances, SIP_NULLPTR, SIP_NULLPTR, SIP_NULLPTR, SIP_NULLPTR, doubleInstances},
     SIP_NULLPTR,
     SIP_NULLPTR,
     SIP_NULLPTR,
diff -ru Phoenix.sip6712/sip/cpp/sip_richtextwxRichTextBox.cpp Phoenix.sip680/sip/cpp/sip_richtextwxRichTextBox.cpp
--- Phoenix.sip6712/sip/cpp/sip_richtextwxRichTextBox.cpp	2023-12-09 09:41:21.478025696 -0500
+++ Phoenix.sip680/sip/cpp/sip_richtextwxRichTextBox.cpp	2023-12-09 09:41:00.844947059 -0500
@@ -2257,7 +2257,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxRichTextBox_GetRangeSize, "GetRangeSize(self, range: RichTextRange, size: Size, dc: DC, context: RichTextDrawingContext, flags: int, position: Point = wxPoint(0, 0), parentSize: Size = wxDefaultSize, partialExtents: Optional[object] = None) -> (bool, int)");
+PyDoc_STRVAR(doc_wxRichTextBox_GetRangeSize, "GetRangeSize(self, range: RichTextRange, size: Size, dc: DC, context: RichTextDrawingContext, flags: int, position: Point = wxPoint(0, 0), parentSize: Size = wxDefaultSize, partialExtents: Optional[Any] = None) -> (bool, int)");
 
 extern "C" {static PyObject *meth_wxRichTextBox_GetRangeSize(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxRichTextBox_GetRangeSize(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_richtextwxRichTextBuffer.cpp Phoenix.sip680/sip/cpp/sip_richtextwxRichTextBuffer.cpp
--- Phoenix.sip6712/sip/cpp/sip_richtextwxRichTextBuffer.cpp	2023-12-09 09:41:21.470025665 -0500
+++ Phoenix.sip680/sip/cpp/sip_richtextwxRichTextBuffer.cpp	2023-12-09 09:41:00.836947029 -0500
@@ -6988,7 +6988,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxRichTextBuffer_GetRangeSize, "GetRangeSize(self, range: RichTextRange, size: Size, dc: DC, context: RichTextDrawingContext, flags: int, position: Point = wxPoint(0, 0), parentSize: Size = wxDefaultSize, partialExtents: Optional[object] = None) -> (bool, int)");
+PyDoc_STRVAR(doc_wxRichTextBuffer_GetRangeSize, "GetRangeSize(self, range: RichTextRange, size: Size, dc: DC, context: RichTextDrawingContext, flags: int, position: Point = wxPoint(0, 0), parentSize: Size = wxDefaultSize, partialExtents: Optional[Any] = None) -> (bool, int)");
 
 extern "C" {static PyObject *meth_wxRichTextBuffer_GetRangeSize(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxRichTextBuffer_GetRangeSize(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_richtextwxRichTextCell.cpp Phoenix.sip680/sip/cpp/sip_richtextwxRichTextCell.cpp
--- Phoenix.sip6712/sip/cpp/sip_richtextwxRichTextCell.cpp	2023-12-09 09:41:21.467025654 -0500
+++ Phoenix.sip680/sip/cpp/sip_richtextwxRichTextCell.cpp	2023-12-09 09:41:00.833947018 -0500
@@ -2458,7 +2458,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxRichTextCell_GetRangeSize, "GetRangeSize(self, range: RichTextRange, size: Size, dc: DC, context: RichTextDrawingContext, flags: int, position: Point = wxPoint(0, 0), parentSize: Size = wxDefaultSize, partialExtents: Optional[object] = None) -> (bool, int)");
+PyDoc_STRVAR(doc_wxRichTextCell_GetRangeSize, "GetRangeSize(self, range: RichTextRange, size: Size, dc: DC, context: RichTextDrawingContext, flags: int, position: Point = wxPoint(0, 0), parentSize: Size = wxDefaultSize, partialExtents: Optional[Any] = None) -> (bool, int)");
 
 extern "C" {static PyObject *meth_wxRichTextCell_GetRangeSize(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxRichTextCell_GetRangeSize(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
diff -ru Phoenix.sip6712/sip/cpp/sip_richtextwxRichTextVariantArray.cpp Phoenix.sip680/sip/cpp/sip_richtextwxRichTextVariantArray.cpp
--- Phoenix.sip6712/sip/cpp/sip_richtextwxRichTextVariantArray.cpp	2023-12-09 09:41:21.460025627 -0500
+++ Phoenix.sip680/sip/cpp/sip_richtextwxRichTextVariantArray.cpp	2023-12-09 09:41:00.824946984 -0500
@@ -10,7 +10,7 @@
 
 
 
-PyDoc_STRVAR(doc_wxRichTextVariantArray_append, "append(self, obj: object)");
+PyDoc_STRVAR(doc_wxRichTextVariantArray_append, "append(self, obj: Optional[Any])");
 
 extern "C" {static PyObject *meth_wxRichTextVariantArray_append(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxRichTextVariantArray_append(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
@@ -42,7 +42,7 @@
 }
 
 
-PyDoc_STRVAR(doc_wxRichTextVariantArray_index, "index(self, obj: object) -> int");
+PyDoc_STRVAR(doc_wxRichTextVariantArray_index, "index(self, obj: Optional[Any]) -> int");
 
 extern "C" {static PyObject *meth_wxRichTextVariantArray_index(PyObject *, PyObject *, PyObject *);}
 static PyObject *meth_wxRichTextVariantArray_index(PyObject *sipSelf, PyObject *sipArgs, PyObject *sipKwds)
